Diff for /wikisrc/pkgsrc/how_to_update_a_package_with_pkgsrc.mdwn between versions 1.1 and 1.2

version 1.1, 2011/11/20 20:28:27 version 1.2, 2012/02/05 07:14:36
Line 1 Line 1
 Updating an installed package with pkgsrc  Updating an installed package with pkgsrc
   
 You may wish to also see [[Monitoring package versions]]  You may wish to also see [[Monitoring package versions]]
   
 Say you have just been notified that dummy-5.1 is now available as dummy-5.2 so you want to update it.  Say you have just been notified that dummy-5.1 is now available as dummy-5.2 so you want to update it.
   
     cd /usr/pkgsrc/*/dummy      cd /usr/pkgsrc/*/dummy
   
 Run a make update:  Run a make update:
   
     make update      make update
     ===> Deinstalling for dummy-5.1      ===> Deinstalling for dummy-5.1
     => Becoming ``root to make su-deinstall (/usr/bin/su)      => Becoming ``root to make su-deinstall (/usr/bin/su)
     => Dropping ``root privileges.      => Dropping ``root privileges.
     [...]      [...]
     WARNING: Package version dummy-5.1 in /usr/pkgsrc/*/dummy/work      WARNING: Package version dummy-5.1 in /usr/pkgsrc/*/dummy/work
     WARNING: Current version dummy-5.2 in */dummy      WARNING: Current version dummy-5.2 in */dummy
     WARNING: Cleaning and rebuilding dummy-5.2      WARNING: Cleaning and rebuilding dummy-5.2
     => Registering installation for dummy-5.2                                                                                                                    => Registering installation for dummy-5.2                                                                                                               
     ===> Cleaning for dummy-5.2      ===> Cleaning for dummy-5.2
   
 Package dummy has now been upgraded from 5.1 to 5.2   Package dummy has now been upgraded from 5.1 to 5.2 
   

Removed from v.1.1  
changed lines
  Added in v.1.2


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb